[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Octave-bug-tracker] [bug #53081] build failure for GUI in recent dev

From: A.R. Burgers
Subject: [Octave-bug-tracker] [bug #53081] build failure for GUI in recent dev
Date: Wed, 7 Feb 2018 03:11:52 -0500 (EST)
User-agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:58.0) Gecko/20100101 Firefox/58.0


                 Summary: build failure for GUI in recent dev
                 Project: GNU Octave
            Submitted by: arb
            Submitted on: Wed 07 Feb 2018 08:11:51 AM UTC
                Category: Interpreter
                Severity: 3 - Normal
                Priority: 5 - Normal
              Item Group: Build Failure
                  Status: None
             Assigned to: None
         Originator Name: 
        Originator Email: 
             Open/Closed: Open
         Discussion Lock: Any
                 Release: dev
        Operating System: GNU/Linux



with current dev (HG-ID 344832a898ad+) I get the compilation error below. qt
version is 4.6.2. HG-ID 037ace76257d+ still built.

  CXX      libgui/src/libgui_src_libgui_src_la-variable-editor.lo
In file included from /usr/include/QtGui/qstyleoption.h:52:0,
                 from /usr/include/QtGui/qabstractitemdelegate.h:46,
                 from /usr/include/QtGui/qabstractitemview.h:48,
                 from /usr/include/QtGui/qheaderview.h:45,
                 from /usr/include/QtGui/QHeaderView:1,
                 from ../octave/libgui/src/variable-editor.cc:34:
/usr/include/QtGui/qtabwidget.h: In constructor
/usr/include/QtGui/qtabwidget.h:167:14: error: 'QTabBar* QTabWidget::tabBar()
const' is protected
     QTabBar* tabBar() const;
../octave/libgui/src/variable-editor.cc:155:54: error: within this context
       = static_cast<tab_bar *>(m_tab_widget->tabBar ());


Reply to this item at:


  Message sent via/by Savannah

reply via email to

[Prev in Thread] Current Thread [Next in Thread]